@charset "utf-8";

.manrope-regular {
  font-family: "Manrope", sans-serif;
  font-optical-sizing: auto;
  font-weight: 400;
  font-style: normal;
}
.borel-regular {
  font-family: "Borel", cursive;
  font-weight: 400;
  font-style: normal;
}
.crafty-girls-regular {
  font-family: "Crafty Girls", cursive;
  font-weight: 400;
  font-style: normal;
}
.windsong-regular {
  font-family: "WindSong", cursive;
  font-weight: 400;
  font-style: normal;
}
.just-another-hand-regular {
  font-family: "Just Another Hand", cursive;
  font-weight: 400;
  font-style: normal;
}
.edu-vic-wa-nt-hand-regular {
  font-family: "Edu VIC WA NT Hand", cursive;
  font-optical-sizing: auto;
  font-weight: 400;
  font-style: normal;
}
.handlee-regular {
  font-family: "Handlee", cursive;
  font-weight: 400;
  font-style: normal;
}


/*===Body===*/
/* Sets the default behavior for the flow of the body tag */
body {
  background-color: antiquewhite;
  display: block;
}

main {
  display: grid;
  grid-template-columns: 100px auto 100px;
  grid-column: 2;
  column-gap: 10px;
  grid-gap: 10px;
  outline-style: solid;
  outline-width: 8px;
  outline-color: #301934;
  border: 2px dashed white;
  box-shadow: 0 0 0 4px rbga(255, 255, 255, 0.1);
  background-image: url('images/DrawnStarsBckgrd0.png');
  background-position: 2% 0%;
  background-color: #301934;
  padding: 20px;
  margin: auto;
  height: auto;
  max-width: 1600px;
  border-radius: 20px;
}


/*===Title===*/
.title {
  display: block;
  align-self: center;
  text-align: center;
  font-size: 4rem;
  font-weight: 900;
  font-family: 'WindSong';
  color: black;
  background-color: antiquewhite;
  border: 0px solid transparent;
  background-image: url('images/DrawBorderLandscapeMod.png');
  background-position: center;
  background-attachment: scroll;
  background-size: cover;
  background-repeat: no-repeat;
  max-width: 1200px;
  width: auto;
  height: 600px;
  margin: -10px auto -130px auto;
  padding-top: 100px;
}

#main-title {
  padding: 0px 30px 0px 0px;
  color: black;
  text-align: center;
  margin: 30px auto 0px auto;
  font-weight: 700;
}

#subtitle {
  padding-bottom: 0px;
  color: black;
  letter-spacing: 4px;
  margin: 100px auto 0px auto;
  font-family: 'Manrope';
  font-weight: 700;
  font-size: 32pt;
  padding-top: 20px;
}

/*===Content===*/
.gallery-main {
  display: block;
}

.content {
  font-size: 1.4rem;
  grid-column: 2 / 2;
  /*display: grid;*/
  background-color: antiquewhite;
  background-image: url('images/WatercolorPaperBckgrd.jpg');
  width: 100%;
  height: auto;
  max-width: 1200px;
  margin: 0px auto 10px auto;
  border: 0px solid;
  padding-bottom: 10px;
  border-radius: 20px;
  box-shadow: rgba(0, 0, 0, 0.4) 0px 2px 4px, rgba(0, 0, 0, 0.3) 0px 7px 13px -3px, rgba(0, 0, 0, 0.2) 0px -3px 0px inset;
}
.content.full-width {
  grid-column: 1/span3;
  padding: 0px;
  border-radius: 20px;
  margin: 0px auto 0px auto;
  max-width: 100%;
  width: 100%;
}
.content.ruled-paper {
  background-image: url('images/RuledPaper.jpg');
  background-repeat: no-repeat;
  background-size: auto;
  background-position-x: -30px;
  background-position-y: -140px;
  padding-bottom: 40px;
}
.content.gallery {
  box-sizing: border-box;
}

.content p, ul {
  font-family: 'Handlee', serif;
  font-weight: 800;
  font-size: 1.5rem;
  letter-spacing: 0.05em;
  padding-bottom: 0.5rem;
  line-height: 1.5;
  align-content: baseline;
  padding-left: 20px;
  padding-right: 20px;
  border: 40px solid transparent;
  border-image: url('images/HeartBorderDrawn.png') 130 round;
  border-image-repeat: repeat;
}

.content.ruled-paper p, ul {
  border-image: none;
  padding-left: 130px;
  font-size: 1.6rem;
  line-height: 1.6;
  margin-bottom: -70px;
  padding-bottom: 10px;
}
.content.ruled-paper ul {
  padding-left: 150px;
}


.content.quote {
  border: 50px solid transparent;
  border-image: url('images/LeafBorderDrawn.png') 200 / 50 round;
  border-image-repeat: repeat;
  border-image-slice: fill fill;
  text-align: center;
  padding: 0px 0px 0px 0px;
  margin: 0px 25% 50px 25%;
}

.content h1 {
  display: block;
  font-family: 'Crafty Girls';
}
.question-header {
  color: #8C0049;
  font-style: normal;
}

.header {
  display: grid;
  grid-template-columns: minmax(80px, 1fr) 2fr minmax(80px, 1fr);
  grid-gap: 10px;
  font-family: 'Crafty Girls';
  font-weight: 900;
  justify-content: center;
}

.header h1 {
  text-align: center;
}

.header img {
  width: auto;
  height: auto;
  max-width: 250px;
  padding: 0px 0px 0px 0px;
  margin: 10px 0px 0px 0px;
  overflow: hidden;
}
/* fix these later */
#DrawnHearts {
  transform: rotate(13deg);
  justify-self: right;
  width: 100%;
  max-width: 150px;
}
#DrawnAnA {
  transform: rotate(-20deg);
  justify-self: left;
  width: 100%;
  max-width: 150px;
}

/*===Side-Bar===*/
.side-bar {
  grid-column: 2;
  background-color: antiquewhite;
  border-radius: 10px;
  font-size: 1.3rem;
  width: auto;
}

/*===Nav-Bar===*/
.nav-bar {
  display: flex;
  margin: 40px auto 20px auto;
  width: 700px;
  background-color: #B49EBA;
  border-radius: 10px;
  font-size: 1.6rem;
  font-weight: 900;
  font-family: "Trebuchet MS", "Lucida Sans Unicode", "Lucida Grande", "Lucida Sans", Arial, sans-serif;
  color: antiquewhite;
  padding: 10px 10px 10px 10px;
  border: 0px solid;
  border-color: black;
  box-shadow: rgba(0, 0, 0, 0.4) 0px 2px 4px, rgba(0, 0, 0, 0.3) 0px 7px 13px -3px, rgba(0, 0, 0, 0.2) 0px -3px 0px inset;
}

.nav-bar div {
  margin: auto;
}
/*===buttons===*/
#btn {
  color: #301934;
  text-transform: uppercase;
  text-decoration: none;
  border: 2px solid #8C0049;
  padding: 10px 20px;
  font-size: 20px;
  cursor: pointer;
  font-weight: bold;
  background: transparent;
  position: relative;
  transition: all 1s;
  overflow: hidden;
  border-radius: 10px;
  z-index: 0;
}

#btn:hover {
  color: antiquewhite;
  z-index: 0;
}

#btn::before {
  content: "";
  position: absolute;
  height: 100%;
  width: 0%;
  top: 0;
  left: -40px;
  transform: skewX(45deg);
  background-color: #8C0049;
  z-index: -1;
  transition: all 1s;
}

#btn:hover::before {
  width: 160%;
}

.image-selector {
  width: 100px;
  background-color: #8C0049;
  color: #f2f2f2;
  cursor: pointer;
  border: 2px solid black;
  font-size: 16px;
  border-radius: 8px;
  border: 2px dashed white;
  box-shadow: 0 0 0 4px rbga(255, 255, 255, 0.1);
  outline-style: solid;
  outline-width: 2px;
  outline-color: #8C0049;
}
.image-selector:hover {
  background-color:#B49EBA;
}

.glow-on-hover {
    width: 220px;
    height: 50px;
    border: 2px solid blue;
    outline: none;
    color: black;
    background: #f2f2f2;
    cursor: pointer;
    position: relative;
    z-index: 0;
    border-radius: 8px;
    padding: 2px 12px;
  }

.glow-on-hover:before {
  content: '';
  background: linear-gradient(45deg, #ff0000, #ff7300, #fffb00, #48ff00, #00ffd5, #002bff, #7a00ff, #ff00c8, #ff0000);
  position: absolute;
  top: -2px;
  left: -2px;
  background-size: 400%;
  z-index: -1;
  filter: blur(5px);
  width: calc(100% + 4px);
  height: calc(100% + 4px);
  animation: glowing 20s linear infinite;
  opacity: 0;
  transition: opacity .3s ease-in-out;
  border-radius: 10px;
}

.glow-on-hover:active {
  color: #000
}

.glow-on-hover:active:after {
  background: transparent;
}

.glow-on-hover:hover:before {
  opacity: 0.4;
}

.glow-on-hover:after {
  z-index: -1;
  content: '';
  position: absolute;
  width: 100%;
  height: 100%;
  background: transparent;
  left: 0;
  top: 0;
  border-radius: 10px;
}

@keyframes glowing {
  0% {
    background-position: 0 0;
  }

  50% {
    background-position: 400% 0;
  }

  100% {
    background-position: 0 0;
  }
}


/*===pictures===*/
.main-pic {
  border-radius: 20px;
  border: 2px solid #8C0049;
  width: 100%;
  max-width: 800px;
  display: block;
  margin: auto;
}
/*===gallery===*/

.gallery-arrows {
  display: block;
  width: max-content;
  margin: auto;
  margin-top: 5px;
}

.container {
  position: relative;
  width: auto;
}
.slides {
  margin-left: auto;
  margin-right: auto;
  padding-left: 20px;
  padding-right: 20px;
  height: 1080px;
}
.slides img {
  border-radius: 20px;
  height: 100%;
  border: #8C0049 solid 2px;
  margin: auto;
  max-height: 1000px;
  max-width: 800px;
}
.slides.landscape {
  align-items: center;
  width: auto;
  margin-top: auto;
  margin-bottom: auto;
  margin-left: 0px;
  margin-right: 0px;
  height: 1080px;
}
.slides.landscape img {
  width: 100%;
  height: min-content;
  max-width: 100%;
}
.cursor {
  cursor: pointer;
}
#caption {
  align-self: center;
  color: black;
  font-size: 1.6rem;
}

/* next & previous buttons */
.prev, .next {
  cursor: pointer;
  position: absolute;
  top: 600px;
  width: auto;
  padding: 16px;
  margin-top: -50px;
  color: #B49EBA;
  font-weight: bold;
  font-size: 20px;
  border-radius: 0 3px 3px 0;
  background-color: rgba(0, 0, 0, 0.2);
  user-select: none;
  -webkit-user-select: none;
}
/* position the 'next button' to the right */
.next {
  right: 0;
  border-radius: 3px 0 0 3px;
}

/* Add black background on hover */
.prev:hover, .next:hover {
  background-color: rgba(0,0,0,0.8);
}

/* Small caption text for each image */
.captiontext {
  color: #f2f2f2;
  font-size: 1.2rem;
  padding: 8px 12px;
  position: absolute;
  top: 0;
}

.caption-container {
  text-align: center;
  background-color: #B49EBA;
  padding: 2px 10px;
  color: white;
  border-image: none;
  border-radius: 20px;
  margin-left: 25%;
  margin-right: 25%;
  margin-top: 0px;
  margin-bottom: 20px;
  display: grid;
  align-items: center;
  height: 50px;
}
.caption-container p {
  border-image: none;
  padding: 0px;
  border: 0px solid transparent;
  margin: auto;
}
.row {
  /*display: grid;*/
  /*grid-template-columns: auto auto auto auto;*/
  display: flex;
  scroll-behavior: smooth;
  gap: 8px;
  place-items: center;
  overflow-x: scroll;
  overflow-y: clip;
  width: 98%;
  max-width: 100%;
  height: fit-content;
  padding-left: 0px;
  padding-right: 0px;
  margin-left: 10px;
  margin-right: 10px;
}

.row:after {
  content: "";
  display: table;
  clear: both;
}
.column {
  max-width: 280px;
  display: block;
}
.demo {
  opacity: 0.6;
  max-width: 200px;
  border-radius: 20px;
  border:#8C0049 solid 2px;
}
.demo.landscape {
  max-width: 280px;
}
.active, .demo:hover {
  opacity: 1;
}

/*===footer===*/
.footer p {
  text-align: center;
  font-size: 1.0rem;
  font-weight: 300;
  color: black;
  max-width: 900px;
  padding-top: 30px;
  padding-bottom: 15px;
  margin: auto;
}

/*===mediaq===*/
/* formats for tablets and phone screens */
/* formats for nav-bar and main grid containers */
@media screen and (max-width: 530px) {
  .glow-on-hover {
    margin-left: -60px;
  }
  .header {
    grid-template-columns: auto;
  }
  #DrawnAnA {
    justify-self: center;
  }
  #DrawnHearts {
    justify-self: center;
  }
}

@media screen and (max-width: 650px) {
  main {
	  grid-template-columns: auto auto auto;
	  background-image: none;
  }

  #subtitle {
    font-size: 30px;
  }
  .content.ruled-paper {
    background-position-x: -120px;
  }

  .content.ruled-paper p {
    padding-left: 40px;
  }

  .content.ruled-paper ul {
    padding-left: 60px;
  }

  .nav-bar {
    display: grid;
    grid-template-columns: auto auto;
    row-gap: 10px;
    width: 300px;
    height: auto;
    padding-top: 15px;
    padding-bottom: 15px;
    margin-top: -30px;
  }
  
}

@media screen and (max-width: 992px) {
  main {
	  grid-template-columns: auto auto auto;
	  background-image: none;
  }

  .nav-bar {
    display: grid;
    grid-template-columns: auto auto;
    row-gap: 10px;
    width: 300px;
    height: auto;
    padding-top: 15px;
    padding-bottom: 15px;
    margin-top: -30px;
  }
}

/*===formats media for gallery page===*/
@media screen and (max-width: 1600px) {
  .row {
    grid-template-columns: auto auto auto;
  }
  .demo {
    max-width: 150px;
  }
}

@media screen and (max-width: 1200px) {
  .row {
    grid-template-columns: 100px auto 100px;
  }
  .demo {
    max-width: 150px;
    margin-top: 20px;
    margin-bottom: 20px;
  }
  .demo.landscape {
    max-width: 150px;
    margin-top: 20px;
    margin-bottom: 20px;
  }
}
@media screen and (max-width: 800px) {
  .row {
    grid-template-columns: auto auto auto;
  }
  .column {
    width: 150px;
  }
  .demo {
    max-width: 150px;
    align-items: center;
    margin-top: 20px;
    margin-bottom: 20px;
  }

  .demo.landscape {
    max-width: 150px;
    align-items: center;
    margin-top: 20px;
    margin-bottom: 20px;
  }
  .slides img {
    max-height: 60%;
  }
}
